STRUCT IRQACTION(9)

NAME
struct_irqaction - per interrupt action descriptor

SYNOPSIS

struct irqaction {
  irq_handler_t handler;
  void * dev_id;
  void __percpu * percpu_dev_id;
  struct irqaction * next;
  irq_handler_t thread_fn;
  struct task_struct * thread;
  unsigned int irq;
  unsigned int flags;
  unsigned long thread_flags;
  unsigned long thread_mask;
  const char * name;
  struct proc_dir_entry * dir;
};

MEMBERS

handler
    interrupt handler function

dev_id
    cookie to identify the device

percpu_dev_id
    cookie to identify the device

next
    pointer to the next irqaction for shared interrupts

thread_fn
    interrupt handler function for threaded interrupts

thread
    thread pointer for threaded interrupts

irq
    interrupt number

flags
    flags (see IRQF_* above)

thread_flags
    flags related to thread

thread_mask
    bitmask for keeping track of thread activity

name
    name of the device

dir
    pointer to the proc/irq/NN/name entry

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT